import request from '@/utils/request'

// 查询安卓版本列表
export function listAppVersion(query) {
  return request({
    url: '/store/appVersion/list',
    method: 'get',
    params: query
  })
}

// 查询安卓版本详细
export function getAppVersion(versionId) {
  return request({
    url: '/store/appVersion/' + versionId,
    method: 'get'
  })
}

// 新增安卓版本
export function addAppVersion(data) {
  return request({
    url: '/store/appVersion',
    method: 'post',
    data: data
  })
}

// 修改安卓版本
export function updateAppVersion(data) {
  return request({
    url: '/store/appVersion',
    method: 'put',
    data: data
  })
}

// 删除安卓版本
export function delAppVersion(versionId) {
  return request({
    url: '/store/appVersion/' + versionId,
    method: 'delete'
  })
}

// 导出安卓版本
export function exportAppVersion(query) {
  return request({
    url: '/store/appVersion/export',
    method: 'get',
    params: query
  })
}